﻿© Fluke Calibration. All Rights Reserved.                  MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WS64Xs: (1 yr) VER IEEE /5800A+GHz+5Ch,DMM
DATE:                  2011-11-28 09:58:23
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       320
CONFIGURATION:         Fluke 5800A (C5,G2)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        VY
# 
#  Models covered:
#        WS64Xs
# 
#  Source(s):
#        Chapter 5 - WSXs Performance Verification Rev C.pdf
#        Chapter 5 - WSXs Performance Verification Test Record rev C.pdf
# 
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub Initialize /DMM
#        Sub Reset /DMM
#        Sub Measure /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#        Sub Get Accuracy /DMM
#        Sub Send Command /DMM
#        Sub LeCroy WS-GPIB Connection
#        Sub LeCroy WS-GPIB Setup
#        Sub LeCroy WS-GPIB Initialization
#        Sub LeCroy WSXs Set BW & Number of Channels
#        Sub LeCroy WSXs Self-Test IEEE
#        Sub LeCroy WSXs Cal Initialize IEEE
#        Sub LeCroy WSXs Check Software Option IEEE
#        Sub LeCroy WSXs (1 yr) Peak-Peak Noise Level IEEE
#        Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
#        Sub LeCroy WSXs (1 yr) Ext Leakage Current IEEE /DMM
#        Sub LeCroy WSXs (1 yr) Chan Input Impedance IEEE /5800
#        Sub LeCroy WSXs (1 yr) Ext Input Impedance IEEE /5800
#        Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /5800
#        Sub LeCroy WSXs (1 yr) Offset Acc IEEE /5800
#        Sub LeCroy WSXs (1 yr) Trigger Level IEEE /5800
#        Sub LeCroy WSXs (1 yr) Time Base Acc IEEE /5800
#        Sub LeCroy WSXs (1 yr) Bandwidth IEEE /5800+GHz
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m)
#        BNC female to double stacking banana plug, Pomona 1269
# 
# The procedure was tested using:
#
#        Model No  : LeCroy WaveSurfer 64Xs
#        Serial No : LCRY0308M16337
#        Options   : None
#        Firmware  : 5.1.1
#
#        Model No  : LeCroy WS-GPIB
#        Serial No : 040933
#        Options   :
#        Firmware  :
#
# Average run time during testing :  25 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C1
  1.003  5800         1000.1MH                     1Vpp           LS S6 S  L
  1.004  M5800                                                    C2
  1.005  5800         1000.1MH                     1Vpp           LS S6 S  L
  1.006  M5800                                                    C3
  1.007  5800         1000.1MH                     1Vpp           LS S6 S  L
  1.008  M5800                                                    C4
  1.009  5800         1000.1MH                     1Vpp           LS S6 S  L
  1.010  IEEE         [@DMM]
  1.011  ENDIF

  1.012  ASK-   R   Q N              P                            A        V

  1.013  MATH         @ReqMetCalVersion = "7.20"
  1.014  CALL         Sub MET/CAL Version Check

  1.015  IF           NOT(@MetCalVersionOK)
  1.016  DISP         This procedure requires MET/CAL 7.20 or later.
  1.017  END
  1.018  ENDIF

  1.019  CALL         Sub Display Copyright
  1.020  CALL         Sub High Voltage Safety Warning
  1.021  CALL         Sub Select Failed Test Mode
  1.022  CALL         Sub Select Verification Method (No NTHROW)

  1.023  DISP         Ensure a minimum UUT warm-up time of at least
  1.023  DISP         20 minutes has been allowed to elapse, prior
  1.023  DISP         to beginning verification.

  1.024  HEAD         PRELIMINARY INSTRUCTIONS
  1.025  CALL         Sub LeCroy WS-GPIB Connection
  1.026  CALL         Sub LeCroy WS-GPIB Setup
  1.027  CALL         Sub LeCroy WS-GPIB Initialization

  1.028  MATH         L[1] = ZCMPI(@Manufacturer, "LECROY")
  1.029  MATH         L[2] = ZCMPI(@ModelNum, "WS64Xs")

  1.030  IF           NOT(L[1]) || NOT(L[2])
  1.031  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.031  DISP         not a LeCroy WS64Xs!
  1.032  END
  1.033  ENDIF

  1.034  HEAD         EQUIPMENT REQUIREMENTS
  1.035  OPBR         -z Do you want to REVIEW the list of additional
  1.035  OPBR         equipment and/or accessories required?

  1.036  IF           MEM1
  1.037  DISP         The following additional equipment and/or
  1.037  DISP         accessories are required:
  1.037  DISP
  1.037  DISP         - Cable, 50 Ohm, BNC(m)-(m)
  1.037  DISP         - BNC female to double stacking banana plug, Pomona 1269
  1.038  ENDIF

# Set the system confidence level to 95%.
  1.039  MATH         @SysConf = 2
  1.040  MATH         @DevName = "Fluke 5800A"

# Specify whether the calibrator is single or multi-channel.  This is used
# in subprocedures to determine the connections required for each test.
  1.041  MATH         @SourceMultiCh = 1

  1.042  CALL         Sub LeCroy WSXs Set BW & Number of Channels
  1.043  CALL         Sub LeCroy WSXs Check Software Option IEEE

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   CHANNEL INPUT IMPEDANCE(CH1)       PEAK-PEAK NOISE LEVEL(CH1)
#    3.   CHANNEL INPUT IMPEDANCE(CH2)       PEAK-PEAK NOISE LEVEL(CH2)
#    4.   CHANNEL INPUT IMPEDANCE(CH3)       PEAK-PEAK NOISE LEVEL(CH3)
#    5.   CHANNEL INPUT IMPEDANCE(CH4)       PEAK-PEAK NOISE LEVEL(CH4)
#    6.   EXTERNAL INPUT IMPEDANCE           LEAKAGE CURRENT(CH1)
#    7.   LEAKAGE CURRENT(CH1)               LEAKAGE CURRENT(CH2)
#    8.   LEAKAGE CURRENT(CH2)               LEAKAGE CURRENT(CH3)
#    9.   LEAKAGE CURRENT(CH3)               LEAKAGE CURRENT(CH4)
#   10.   LEAKAGE CURRENT(CH4)               EXTERNAL TRIGGER LEAKAGE CURRENT
#   11.   EXTERNAL TRIGGER LEAKAGE CURRENT   EXTERNAL INPUT IMPEDANCE
#   12.   PEAK-PEAK NOISE LEVEL(CH1)         CHANNEL INPUT IMPEDANCE(CH1)
#   13.   PEAK-PEAK NOISE LEVEL(CH2)         CHANNEL INPUT IMPEDANCE(CH2)
#   14.   PEAK-PEAK NOISE LEVEL(CH3)         CHANNEL INPUT IMPEDANCE(CH3)
#   15.   PEAK-PEAK NOISE LEVEL(CH4)         CHANNEL INPUT IMPEDANCE(CH4)
#   16.   DC GAIN ACC(CH1)                   DC GAIN ACC(CH1)
#   17.   DC GAIN ACC(CH2)                   DC GAIN ACC(CH2)
#   18.   DC GAIN ACC(CH3)                   DC GAIN ACC(CH3)
#   19.   DC GAIN ACC(CH4)                   DC GAIN ACC(CH4)
#   20.   OFFSET ACC(CH1)                    OFFSET ACC(CH1)
#   21.   OFFSET ACC(CH2)                    OFFSET ACC(CH2)
#   22.   OFFSET ACC(CH3)                    OFFSET ACC(CH3)
#   23.   OFFSET ACC(CH4)                    OFFSET ACC(CH4)
#   24.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#   25.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#   26.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   27.   BANDWIDTH(CH4)                     BANDWIDTH(CH4)
#   28.   TRIGGER LEVEL(CH1)                 TRIGGER LEVEL(CH1)
#   29.   TRIGGER LEVEL(CH2)                 TRIGGER LEVEL(CH2)
#   30.   TRIGGER LEVEL(CH3)                 TRIGGER LEVEL(CH3)
#   31.   TRIGGER LEVEL(CH4)                 TRIGGER LEVEL(CH4)
#   32.   TIME BASE                          TIME BASE

  1.044  CALL         Sub LeCroy WSXs Self-Test IEEE

  1.045  IF           @Abort
  1.046  END
  1.047  ENDIF
  1.048  JMPL         TRIGGER
  1.049  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.050  LABEL        CHANNEL_INPUT_IMPEDANCE
  1.051  MATH         @Chan = 1
  1.052  M5800                                                    C1
  1.053  CALL         Sub LeCroy WSXs (1 yr) Chan Input Impedance IEEE /5800
  1.054  MATH         @Chan = 2
  1.055  M5800                                                    C2
  1.056  CALL         Sub LeCroy WSXs (1 yr) Chan Input Impedance IEEE /5800
  1.057  MATH         @Chan = 3
  1.058  M5800                                                    C3
  1.059  CALL         Sub LeCroy WSXs (1 yr) Chan Input Impedance IEEE /5800
  1.060  MATH         @Chan = 4
  1.061  M5800                                                    C4
  1.062  CALL         Sub LeCroy WSXs (1 yr) Chan Input Impedance IEEE /5800
  1.063  JMPL         DC_GAIN_ACC

  1.064  LABEL        EXT_INPUT_IMPEDANCE
  1.065  MATH         @Chan = 5
  1.066  M5800                                                    C1
  1.067  CALL         Sub LeCroy WSXs (1 yr) Ext Input Impedance IEEE /5800
  1.068  JMPL         CHANNEL_INPUT_IMPEDANCE

  1.069  LABEL        CHANNAL_LEAKAGE_CURRENT
  1.070  MATH         @Chan = 1
  1.071  CALL         Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
  1.072  MATH         @Chan = 2
  1.073  CALL         Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
  1.074  MATH         @Chan = 3
  1.075  CALL         Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
  1.076  MATH         @Chan = 4
  1.077  CALL         Sub LeCroy WSXs (1 yr) Chan Leakage Current IEEE /DMM
  1.078  MATH         @Chan = 5
  1.079  CALL         Sub LeCroy WSXs (1 yr) Ext Leakage Current IEEE /DMM
  1.080  JMPL         EXT_INPUT_IMPEDANCE

  1.081  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.082  MATH         @Chan = 1
  1.083  CALL         Sub LeCroy WSXs (1 yr) Peak-Peak Noise Level IEEE
  1.084  MATH         @Chan = 2
  1.085  CALL         Sub LeCroy WSXs (1 yr) Peak-Peak Noise Level IEEE
  1.086  MATH         @Chan = 3
  1.087  CALL         Sub LeCroy WSXs (1 yr) Peak-Peak Noise Level IEEE
  1.088  MATH         @Chan = 4
  1.089  CALL         Sub LeCroy WSXs (1 yr) Peak-Peak Noise Level IEEE
  1.090  JMPL         CHANNAL_LEAKAGE_CURRENT

  1.091  LABEL        DC_GAIN_ACC
  1.092  MATH         @Chan = 1
  1.093  M5800                                                    C1
  1.094  CALL         Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /5800
  1.095  MATH         @Chan = 2
  1.096  M5800                                                    C2
  1.097  CALL         Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /5800
  1.098  MATH         @Chan = 3
  1.099  M5800                                                    C3
  1.100  CALL         Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /5800
  1.101  MATH         @Chan = 4
  1.102  M5800                                                    C4
  1.103  CALL         Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /5800

  1.104  MATH         @Chan = 1
  1.105  M5800                                                    C1
  1.106  CALL         Sub LeCroy WSXs (1 yr) Offset Acc IEEE /5800
  1.107  MATH         @Chan = 2
  1.108  M5800                                                    C2
  1.109  CALL         Sub LeCroy WSXs (1 yr) Offset Acc IEEE /5800
  1.110  MATH         @Chan = 3
  1.111  M5800                                                    C3
  1.112  CALL         Sub LeCroy WSXs (1 yr) Offset Acc IEEE /5800
  1.113  MATH         @Chan = 4
  1.114  M5800                                                    C4
  1.115  CALL         Sub LeCroy WSXs (1 yr) Offset Acc IEEE /5800

  1.116  MATH         @Chan = 1
  1.117  M5800                                                    C1
  1.118  CALL         Sub LeCroy WSXs (1 yr) Bandwidth IEEE /5800+GHz
  1.119  MATH         @Chan = 2
  1.120  M5800                                                    C2
  1.121  CALL         Sub LeCroy WSXs (1 yr) Bandwidth IEEE /5800+GHz
  1.122  MATH         @Chan = 3
  1.123  M5800                                                    C3
  1.124  CALL         Sub LeCroy WSXs (1 yr) Bandwidth IEEE /5800+GHz
  1.125  MATH         @Chan = 4
  1.126  M5800                                                    C4
  1.127  CALL         Sub LeCroy WSXs (1 yr) Bandwidth IEEE /5800+GHz

  1.128  LABEL        TRIGGER
  1.129  MATH         @Chan = 1
  1.130  M5800                                                    C1
  1.131  CALL         Sub LeCroy WSXs (1 yr) Trigger Level IEEE /5800
  1.132  MATH         @Chan = 2
  1.133  M5800                                                    C2
  1.134  CALL         Sub LeCroy WSXs (1 yr) Trigger Level IEEE /5800
  1.135  MATH         @Chan = 3
  1.136  M5800                                                    C3
  1.137  CALL         Sub LeCroy WSXs (1 yr) Trigger Level IEEE /5800
  1.138  MATH         @Chan = 4
  1.139  M5800                                                    C4
  1.140  CALL         Sub LeCroy WSXs (1 yr) Trigger Level IEEE /5800

  1.141  MATH         @Chan = 1
  1.142  M5800                                                    C1
  1.143  CALL         Sub LeCroy WSXs (1 yr) Time Base Acc IEEE /5800

  1.144  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.145  END
